Skip to main content
Weavr API
Setup

Register a user

POST/users

Creates a user linked to the logged-in corporate or consumer identity.

Once on-boarded, users have access to all instruments (cards and accounts) of the identity.

Application-specific permissions to limit what each user can view and do need to be implemented in your application.

In order to Create an Authorised User you would need a stepped-up token. Before calling /multi/users you need to step-up ( issue a challenge multi/stepup/challenges/otp/{channel} )

More details on how to step-up a token can be found here Step-Up

Request

Header parameters

Request body

*
application/json
{}
objectobject · 10 fields

Responses

200OK

Success

Headers
Body
application/json
{}
UserUser · object · 13 fields
Response example
{  "id": "string",  "identity": {    "type": "CONSUMER",    "id": "123456789"  },  "name": "string",  "surname": "string",  "email": "[email protected]",  "mobile": {    "countryCode": "+44",    "number": "7700900123"  },  "active": true,  "dateOfBirth": {    "year": 1990,    "month": 1,    "day": 1  },  "tag": "customer-123",  "countryOfResidence": "string",  "locale": "en-GB",  "brand": "string",  "roles": [    "CARD_ASSIGNEE"  ]}